=== debian/changelog ===
amoeba-data (1.1-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to short DH & debhelper-compat 13
  * Bump Standards-Version to 4.7.3, drop Priority: tag

 -- Alexandre Detiste <tchet@debian.org>  Sun, 04 Jan 2026 02:55:42 +0100

amoeba-data (1.1-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to 3.0 source format. (Closes: #1007544)

 -- Bastian Germann <bage@debian.org>  Fri, 09 Dec 2022 23:15:44 +0100

amoeba-data (1.1-7) unstable; urgency=medium

  * Add empty build-arch and build-indep targets. (Closes: #999229)

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 15 Nov 2021 22:56:54 +0100

amoeba-data (1.1-6) unstable; urgency=low

  * Add empty binary-arch target. (Closes: #640875)
  * Change my maintainer address to sesse@debian.org. (I was not a DD when I
    last uploaded this package, almost nine years ago...)
  * Replace DH_COMPAT= directive with debian/compat file.
  * Bump debian/compat version to 7.
    * Bump debhelper versioning compatibility to 7.0.0.
  * Remove some debhelper boilerplate from debian/rules.
  * Bump Standards-Version to 3.9.2.
  * Add ${misc:Depends} to Depends.
  * Use dh_prep instead of dh_clean -k.
  * Add debhelper to Build-Depends instead of Build-Depends-Indep,
    since the clean target needs it.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 15 Sep 2011 21:54:04 +0200

amoeba-data (1.1-5) unstable; urgency=low

  * Upload with source as well.  *sigh*.

 -- Tollef Fog Heen <tfheen@debian.org>  Sat, 23 Nov 2002 19:57:05 +0100

amoeba-data (1.1-4) unstable; urgency=low

  * Clarified the copyright text in debian/copyright.

 -- Steinar H. Gunderson <sgunderson@bigfoot.com>  Thu, 14 Nov 2002 02:28:07 +0100

amoeba-data (1.1-3) unstable; urgency=low

  * New upload, this time _really_ with copyright. (The error was to forget
    adding dh_installdocs to debian/rules -- the copyright file was included
    in the source package but not the binary.)

  * Cleaned up debian/rules.

 -- Steinar H. Gunderson <sgunderson@bigfoot.com>  Thu, 07 Nov 2002 14:02:25 +0100

amoeba-data (1.1-2) unstable; urgency=low

  * New upload, this time with copyright.

 -- Steinar H. Gunderson <sgunderson@bigfoot.com>  Thu, 07 Nov 2002 00:54:35 +0100

amoeba-data (1.1-1) unstable; urgency=low

  * Initial release for Debian.

 -- Steinar H. Gunderson <sgunderson@bigfoot.com>  Sat, 26 Oct 2002 02:07:23 +0200
