=== debian/control ===
Source: amoeba-data
Section: non-free/x11
Maintainer: "Steinar H. Gunderson" <sesse@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.3

Package: amoeba-data
Architecture: all
Recommends: amoeba
Depends: ${misc:Depends}
Description: Fast-paced, polished OpenGL demonstration by Excess (data)
 Amoeba is a fast-paced, cross-platform OpenGL demonstration by Excess, showing
 effects using your 3D card in perfect sync with Ogg Vorbis music. It features
 a full XML-scripted GPLed demo engine, several object manipulations, lots of
 graphics and a pumping soundtrack.
 .
 Amoeba won first price in the demo competition at Underscore 02, a sceneparty
 held in Joenkoeping, Sweden (http://www.underscore.sh/)
 .
 This package contains the data required for the demo -- to watch the demo, you
 will also need the package amoeba, which contains the demo engine.
